<xsl:stylesheet 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
<html>
    <head style="font-family:areal"><b><u>SCHEDULE ACKNOWLEDGEMENT MESSAGE</u></b></head>
      <body style="font-family:areal; color:black; background:lightblue; text-align:center">
        <h2><table border="1"  width="100%" align="center">
          	<tr >
	            	<th><b>Message Identification</b></th>
            		<th><b>Date and Time</b></th>
  	            	<th><b> Receiving Message Identification</b></th>
            		<th><b>Receiving Message Version</b></th>
          		
        	</tr>
              <td align="center"><xsl:value-of select="AcknowledgementMessage/MessageIdentification/@v"/></td>
               <td align="center"><xsl:value-of select="AcknowledgementMessage/MessageDateTime/@v"/></td>
               <td align="center"><xsl:value-of select="AcknowledgementMessage/ReceivingMessageIdentification/@v"/></td>
               <td align="center"><xsl:value-of select="AcknowledgementMessage/ReceivingMessageVersion/@v"/></td>
		</table>
        </h2>
	
        <table border="1" width="100%" align="center">
          	<tr >
	            	<th width="20%">Sender</th>
			<th width="10%">Role</th>
            		<th width="20%">Receiver</th>
			<th width="10%">Role</th>
          	</tr>
          <tr>
            	<td align="center"><xsl:value-of select="AcknowledgementMessage/SenderIdentification/@v"/></td>
            	<td align="center">
           <xsl:choose>
		 <xsl:when test="AcknowledgementMessage/SenderRole[@v='A01']">TRP </xsl:when> 
	 	<xsl:when test="AcknowledgementMessage/SenderRole[@v='A02']">CRP</xsl:when>
 		<xsl:when test="AcknowledgementMessage/SenderRole[@v='A03']">CPE</xsl:when>
 		<xsl:when test="AcknowledgementMessage/SenderRole[@v='A04']">SO</xsl:when>
 		<xsl:when test="AcknowledgementMessage/SenderRole[@v='A05']">ISR</xsl:when>
 		<xsl:when test="AcknowledgementMessage/SenderRole[@v='A06']">PRP</xsl:when>
 		<xsl:when test="AcknowledgementMessage/SenderRole[@v='A07']">TCA</xsl:when>
 		<xsl:when test="AcknowledgementMessage/SenderRole[@v='A08']">RS</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="AcknowledgementMessage/SenderRole/@v"/></b></font>
		</xsl:otherwise>
           </xsl:choose> 
            </td>
		<td align="center"><xsl:value-of select="AcknowledgementMessage/ReceiverIdentification/@v"/></td>
            <td align="center">
           <xsl:choose>
		 <xsl:when test="AcknowledgementMessage/ReceiverRole[@v='A01']">TRP </xsl:when> 
	 	<xsl:when test="AcknowledgementMessage/ReceiverRole[@v='A02']">CRP</xsl:when>
 		<xsl:when test="AcknowledgementMessage/ReceiverRole[@v='A03']">CPE</xsl:when>
 		<xsl:when test="AcknowledgementMessage/ReceiverRole[@v='A04']">SO</xsl:when>
 		<xsl:when test="AcknowledgementMessage/ReceiverRole[@v='A05']">ISR</xsl:when>
 		<xsl:when test="AcknowledgementMessage/ReceiverRole[@v='A06']">PRP</xsl:when>
 		<xsl:when test="AcknowledgementMessage/ReceiverRole[@v='A07']">TCA</xsl:when>
 		<xsl:when test="AcknowledgementMessage/ReceiverRole[@v='A08']">RS</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="AcknowledgementMessage/ReceiverRole/@v"/></b></font>
		</xsl:otherwise>
           </xsl:choose>
		</td>
          </tr>
        </table> 
	  <br/> 

 <font color="red"><p><b>MESSAGE ACKNOWLEDGEMENT STATUS</b></p></font>
 <xsl:apply-templates select="AcknowledgementMessage/Reason" />
 <font color="red"><p><b>GLOBAL TIME SERIES INTERVAL ERRORS</b></p></font>
 <xsl:apply-templates select="AcknowledgementMessage/TimeIntervalError" />
<font color="red"><p><b>TIME SERIES THAT HAVE BEEN REJECTED OR MODIFIED</b></p></font>
  <xsl:apply-templates select="AcknowledgementMessage/TimeSeriesRejection" />
   </body>
  </html>
</xsl:template>

<xsl:template match="Reason">
<table  border="1" width="100%" cellpadding="5">
    <tr >
      <th bgcolor="red">Reason Code</th>
      <th>Reason Title</th>
	<th>Reason Text</th>
   </tr>
 <td align="center" style="font-size=8pt" bgcolor="red">
<xsl:value-of  select="ReasonCode/@v"/>
 </td><td align="center" style="font-size=8pt">
      	<xsl:choose>
		<xsl:when test="ReasonCode[@v='A01']">
		Message Fully Accepted
		</xsl:when>
 		<xsl:when test="ReasonCode[@v='A02']">
		Message Fully Rejected
		</xsl:when>
 		<xsl:when test="ReasonCode[@v='A03']">
		Message contains errors at the Time Series Level
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A04']">
		Schedule tiume interval incorrect
		</xsl:when>
 		<xsl:when test="ReasonCode[@v='A05']">
		Sender without valid balance responsible contract
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A10']">
		Credit limit exceeded
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A20']">
		Time series fully rejected
		</xsl:when>
 		<xsl:when test="ReasonCode[@v='A21']">
		Time series accepted with specific time interval errors
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A22']">
		IN party/Out party invalid
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A23']">
		Area invalid
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A27']">
		Cross border capacity exceeded
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A41']">
		Resolution inconsistancy
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A42']">
		Quantity inconsistancy
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A46']">
		Quantities must not be signed values
		</xsl:when>
 		<xsl:when test="ReasonCode[@v='A49']">
		Position inconsistancy
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A50']">
		Senders time series version conflict
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A51']">
		Message identification or version conflict
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A52']">
		Time series missing from new version of message
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A53']">
		Receiving party incorrect
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A54']">
		Global position not in balance
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A55']">
		Time series identification conflict
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A56']">
		Corresponding time series not netted
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A57']">
		Deadline limit exceeded
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A58']">
		One to one nomination inconsistancy
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A59']">
		Not compliant with local market rules
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b>Unknown reason code  <xsl:value-of select="ReasonCode/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose> 
</td> 

<td align="center" style="font-size=8pt">
      <xsl:value-of select="ReasonText/@v"/>
</td>
</table>
</xsl:template> 		 

<xsl:template match="TimeSeriesRejection">
<table border="1" width="100%" align="center">
<tr>
<th width="25%"><font color="red">Senders Time Series Identification</font>
</th><th width="25%">Senders Time Series Version</th>
</tr>
<tr>
<td align="center" width="25%"><xsl:value-of select="SendersTimeSeriesIdentification/@v"/></td>
<td align="center" width="25%"><xsl:value-of select="SendersTimeSeriesVersion/@v"/></td>
</tr>
<xsl:apply-templates  select="*"/>
 <xsl:apply-templates select="AcknowledgementMessage/TimeIntervalError" />
</table>
<br></br>
</xsl:template>


<xsl:template match="TimeIntervalError">
<table border="1" width="100%" align="center">
<tr>
<td align="center" width="25%"><font color="yellow"><B>Time Interval Start and end date and time</B></font></td>
<td align="center" width="25%"><xsl:value-of select="QuantityTimeInterval/@v"/></td>
</tr>
</table>
<xsl:apply-templates  select="*"/>
</xsl:template>

</xsl:stylesheet>
