<xsl:stylesheet 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
<html>
    <head style="font-family:areal"><b><u>TIME SERIES 
    		<xsl:choose>
		 <xsl:when test="ScheduleMessage/ProcessType[@v='A01']">DAY AHEAD
             </xsl:when> 
		<xsl:when test="ScheduleMessage/ProcessType[@v='A02']">
             INTRA-DAY
             </xsl:when>
		<xsl:when test="ScheduleMessage/ProcessType[@v='A03']">
             INTER AREA TRANSIT
             </xsl:when>
		<xsl:otherwise>
			<font color="red"><b>INVALID PROCESS TYPE = </b> <xsl:value-of select="ScheduleMessage/ProcessType/@v"/></font>
		</xsl:otherwise>
           </xsl:choose> 
SCHEDULE MESSAGE</u></b></head>
      <body style="font-family:areal; color:black; background:lightblue; text-align:center">
        <h2><table border="1"  width="100%" align="center">
          	<tr >
	            	<th><b>Message Identification</b></th>
			<th><b>Version</b></th>
            		<th><b>Date and Time</b></th>
              	<th><b>Message Type</b></th>
        	</tr>
              <td align="center" ><xsl:value-of select="ScheduleMessage/MessageIdentification/@v"/></td>
               <td align="center"><xsl:value-of select="ScheduleMessage/MessageVersion/@v"/></td>                
               <td align="center"><xsl:value-of select="ScheduleMessage/MessageDateTime/@v"/></td>
			<td align="center"> 
		<xsl:choose>
		 <xsl:when test="ScheduleMessage/MessageType[@v='A01']">Balance Responsible Schedule
             </xsl:when> 
		<xsl:when test="ScheduleMessage/MessageType[@v='A02']">
              Allocated Capacity Schedule
             </xsl:when>
 		<xsl:when test="ScheduleMessage/MessageType[@v='A03']">
              Balance Area Schedule
             </xsl:when>
 		<xsl:when test="ScheduleMessage/MessageType[@v='A04']">
              Control Area Schedule
             </xsl:when>
 		<xsl:when test="ScheduleMessage/MessageType[@v='A05']">
              Control Block Area Schedule
             </xsl:when>
 		<xsl:when test="ScheduleMessage/MessageType[@v='A06']">
              Coordination Center Area Schedule
             </xsl:when>
		<xsl:otherwise>
			<font color="red"><b>INVALID MESSAGE TYPE = </b> <xsl:value-of select="ScheduleMessage/MessageType/@v"/></font>
		</xsl:otherwise>
           </xsl:choose> 
</td>
		</table>
        </h2>
	
        <table border="1" width="100%" align="center">
          	<tr >
	            	<th width="20%">Sender</th>
			<th width="10%">Role</th>
            		<th width="20%">Receiver</th>
			<th width="10%">Role</th>
           		 <th width="40%">Schedule Start and End Date</th>
          	</tr>
          <tr>
            	<td align="center"><xsl:value-of select="ScheduleMessage/SenderIdentification/@v"/></td>
            	<td align="center">
           <xsl:choose>
		 <xsl:when test="ScheduleMessage/SenderRole[@v='A01']">TRP </xsl:when> 
	 	<xsl:when test="ScheduleMessage/SenderRole[@v='A02']">CRP</xsl:when>
 		<xsl:when test="ScheduleMessage/SenderRole[@v='A03']">CPE</xsl:when>
 		<xsl:when test="ScheduleMessage/SenderRole[@v='A04']">SO</xsl:when>
 		<xsl:when test="ScheduleMessage/SenderRole[@v='A05']">ISR</xsl:when>
 		<xsl:when test="ScheduleMessage/SenderRole[@v='A06']">PRP</xsl:when>
 		<xsl:when test="ScheduleMessage/SenderRole[@v='A07']">TCA</xsl:when>
 		<xsl:when test="ScheduleMessage/SenderRole[@v='A08']">RS</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="ScheduleMessage/SenderRole/@v"/></b></font>
		</xsl:otherwise>
           </xsl:choose> 
            </td>
		<td align="center"><xsl:value-of select="ScheduleMessage/ReceiverIdentification/@v"/></td>
            <td align="center">
           <xsl:choose>
		 <xsl:when test="ScheduleMessage/ReceiverRole[@v='A01']">TRP </xsl:when> 
	 	<xsl:when test="ScheduleMessage/ReceiverRole[@v='A02']">CRP</xsl:when>
 		<xsl:when test="ScheduleMessage/ReceiverRole[@v='A03']">CPE</xsl:when>
 		<xsl:when test="ScheduleMessage/ReceiverRole[@v='A04']">SO</xsl:when>
 		<xsl:when test="ScheduleMessage/ReceiverRole[@v='A05']">ISR</xsl:when>
 		<xsl:when test="ScheduleMessage/ReceiverRole[@v='A06']">PRP</xsl:when>
 		<xsl:when test="ScheduleMessage/ReceiverRole[@v='A07']">TCA</xsl:when>
 		<xsl:when test="ScheduleMessage/ReceiverRole[@v='A08']">BRP</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="ScheduleMessage/ReceiverRole/@v"/></b></font>
		</xsl:otherwise>
           </xsl:choose>
		</td>
            <td align="center"><xsl:value-of select="ScheduleMessage/ScheduleTimeInterval/@v"/></td>
          </tr>
        </table> 
	  <br/> 

 <xsl:apply-templates select="ScheduleMessage/ScheduleTimeSeries" />
   </body>
  </html>
</xsl:template>

<xsl:template match="ScheduleTimeSeries">
<table  border="1" width="100%" cellpadding="5">
    <tr >
      <th>TS Id.</th>
      <th>Ver.</th>
	<th>Type</th>
	<th>Product</th>
	<th>Aggr.</th>
        <th>Meter</th>
      <th>Contract type</th>
       <th>Agreement</th>
      <th>Unit</th>
      <th>Area (In/out)</th>
      <th>Party (In/out)</th>
   </tr>
 <td align="center" style="font-size=8pt" bgcolor="yellow">
<xsl:value-of  select="SendersTimeSeriesIdentification/@v"/>
 </td><td align="center" style="font-size=8pt">
      <xsl:value-of select="SendersTimeSeriesVersion/@v"/>
 </td><td align="center" style="font-size=8pt">
      	<xsl:choose>
		<xsl:when test="BusinessType[@v='A01']">
		PROD
		</xsl:when>
 		<xsl:when test="BusinessType[@v='A02']">
		INT
		</xsl:when>
 		<xsl:when test="BusinessType[@v='A03']">
		EXT
		</xsl:when>
		<xsl:when test="BusinessType[@v='A04']">
		CONS
		</xsl:when>
		<xsl:when test="BusinessType[@v='A05']">
		EXT TOT
		</xsl:when>
		<xsl:when test="BusinessType[@v='A06']">
		EXT TOT UNL
		</xsl:when>
		<xsl:when test="BusinessType[@v='A07']">
		NET-P/C
		</xsl:when>
		<xsl:when test="BusinessType[@v='A08']">
		NET-IT
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="BusinessType/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose> 
</td> <td align="center" style="font-size=8pt">
	<xsl:choose>
		 <xsl:when test="Product[@v='8716867000016']">
               Active Power
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000023']">
               Reactive Power
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000030']">
               Active Energy
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000047']">
               Reactive Energy
	       </xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="Product/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td> <td align="center" style="font-size=8pt">
	<xsl:choose>
		<xsl:when test="ObjectAggregation[@v='A01']">
		AREA
		</xsl:when>
		<xsl:when test="ObjectAggregation[@v='A02']">
		MP
		</xsl:when>
		<xsl:when test="ObjectAggregation[@v='A03']">
		M-MP
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="ObjectAggregation/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose>
</td> 

<td align="center" style="font-size=8pt">
      <xsl:value-of select="MeteringPointIdentification/@v"/>.
</td>

 <td align="center" style="font-size=8pt">
 <xsl:if test="CapacityContractType/@v!=''">
<xsl:choose>
<xsl:when test="CapacityContractType[@v='A01']">
              Daily Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A02']">
               Weekly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A03']">
              Monthly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A04']">
               Yearly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A05']">
               Total Auction
	       </xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="CapacityContractType/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose>
</xsl:if>.
<td align="center" style="font-size=8pt">
      <xsl:value-of select="CapacityAgreementIdentification/@v"/>.
</td>
</td><td align="center" style="font-size=8pt">
<xsl:choose>
		<xsl:when test="MeasurementUnit[@v='MAW']">MW </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MWH']">MWH </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MAH']">MWr </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MAR']">MWHr</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="MeasurementUnit/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td>
 <td align="center" style="font-size=8pt">
<xsl:value-of select="InArea/@v"/><xsl:text>.</xsl:text><br></br>
<xsl:value-of select="OutArea/@v"/><xsl:text>.</xsl:text>
</td>

<td align="center" style="font-size=8pt">
<xsl:value-of select="InParty/@v"/><xsl:text>.</xsl:text><br></br>
<xsl:value-of select="OutParty/@v"/><xsl:text>.</xsl:text>
</td>
</table>
<table border="1" width="100%" align="center">
<tr>
<th width="25%">Period Begin and End Date/Time</th>
<th width="25%">Resolution</th>
</tr>
</table>
<xsl:apply-templates  select="*"/>

</xsl:template> 		 

<xsl:template match="Period">
<table border="1" width="100%" align="center">
<tr>
<td align="center" width="25%"><xsl:value-of select="TimeInterval/@v"/></td>
<td align="center" width="25%"><xsl:value-of select="Resolution/@v"/></td>
</tr>
<table border="1" width="100%" align="center">
<tr>
<th width="25%">Position</th>
<th width="25%">Quantity</th>
</tr>
</table>
<xsl:apply-templates  select="*"/>
</table>
</xsl:template>


<xsl:template match="Interval">
<table border="1" width="100%" align="center">
<tr>
<td align="center" width="25%"><xsl:value-of select="Pos/@v"/></td>
<td align="center" width="25%"><xsl:value-of select="Qty/@v"/></td>
</tr>
</table>
</xsl:template>

</xsl:stylesheet>
