<xsl:stylesheet 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
<html>
    <head style="font-family:areal"><b><u>TIME SERIES ANOMALY REPORT</u></b></head>
      <body style="font-family:areal; color:black; background:lightblue; text-align:center">
        <h2><table border="1"  width="100%" align="center">
          	<tr >
	            	<th><b>Message Identification</b></th>
            		<th><b>Date and Time</b></th>
        	</tr>
              <td align="center"><xsl:value-of select="AnomalyReport/MessageIdentification/@v"/></td>
               <td align="center"><xsl:value-of select="AnomalyReport/MessageDateTime/@v"/></td>
		</table>
        </h2>
	
        <table border="1" width="100%" align="center">
          	<tr >
	            	<th width="20%">Sender</th>
			<th width="10%">Role</th>
            		<th width="20%">Receiver</th>
			<th width="10%">Role</th>
           		 <th width="40%">Schedule Start and End Date</th>
          	</tr>
          <tr>
            	<td align="center"><xsl:value-of select="AnomalyReport/SenderIdentification/@v"/></td>
            	<td align="center">
           <xsl:choose>
		 <xsl:when test="AnomalyReport/SenderRole[@v='A01']">TRP </xsl:when> 
	 	<xsl:when test="AnomalyReport/SenderRole[@v='A02']">CRP</xsl:when>
 		<xsl:when test="AnomalyReport/SenderRole[@v='A03']">CPE</xsl:when>
 		<xsl:when test="AnomalyReport/SenderRole[@v='A04']">SO</xsl:when>
 		<xsl:when test="AnomalyReport/SenderRole[@v='A05']">ISR</xsl:when>
 		<xsl:when test="AnomalyReport/SenderRole[@v='A06']">PRP</xsl:when>
 		<xsl:when test="AnomalyReport/SenderRole[@v='A07']">TCA</xsl:when>
 		<xsl:when test="AnomalyReport/SenderRole[@v='A08']">RS</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="AnomalyReport/SenderRole/@v"/></b></font>
		</xsl:otherwise>
           </xsl:choose> 
            </td>
		<td align="center"><xsl:value-of select="AnomalyReport/ReceiverIdentification/@v"/></td>
            <td align="center">
           <xsl:choose>
		 <xsl:when test="AnomalyReport/ReceiverRole[@v='A01']">TRP </xsl:when> 
	 	<xsl:when test="AnomalyReport/ReceiverRole[@v='A02']">CRP</xsl:when>
 		<xsl:when test="AnomalyReport/ReceiverRole[@v='A03']">CPE</xsl:when>
 		<xsl:when test="AnomalyReport/ReceiverRole[@v='A04']">SO</xsl:when>
 		<xsl:when test="AnomalyReport/ReceiverRole[@v='A05']">ISR</xsl:when>
 		<xsl:when test="AnomalyReport/ReceiverRole[@v='A06']">PRP</xsl:when>
 		<xsl:when test="AnomalyReport/ReceiverRole[@v='A07']">TCA</xsl:when>
 		<xsl:when test="AnomalyReport/ReceiverRole[@v='A08']">RS</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="AnomalyReport/ReceiverRole/@v"/></b></font>
		</xsl:otherwise>
           </xsl:choose>
		</td>
            <td align="center"><xsl:value-of select="AnomalyReport/ScheduleTimeInterval/@v"/></td>
          </tr>
        </table> 
	  <br/> 

 <xsl:apply-templates select="AnomalyReport/TimeSeriesAnomaly" />
   </body>
  </html>
</xsl:template>

<xsl:template match="TimeSeriesAnomaly">
 <font color="red"><p><b>TIME SERIES POTENTIALLY INCORRECT</b></p></font>
<table  border="1" width="100%" cellpadding="5">
    <tr >
      <th>Sdr Msg Id</th>
     <th>Sdr TS ID</th>
     <th>sdr TS Ver</th>
      <th>TS Id.</th>
      <th>Ver.</th>
	<th>Type</th>
	<th>Product</th>
	<th>Aggr.</th>
        <th>Meter</th>
      <th>Contract type</th>
      <th>Unit</th>
      <th>Area (In/out)</th>
      <th>Party (In/out)</th>
   </tr>
    <td align="center" style="font-size=8pt" bgcolor="yellow">
<xsl:value-of  select="MessageSenderIdentification/@v"/>
 </td>
  <td align="center" style="font-size=8pt" bgcolor="yellow">
<xsl:value-of  select="SendersMessageIdentification/@v"/>
 </td>
  <td align="center" style="font-size=8pt" bgcolor="yellow">
<xsl:value-of  select="SendersMessageVersion/@v"/>
 </td>
 <td align="center" style="font-size=8pt" bgcolor="yellow">
<xsl:value-of  select="SendersTimeSeriesIdentification/@v"/>
 </td><td align="center" style="font-size=8pt">
      <xsl:value-of select="SendersTimeSeriesVersion/@v"/>
 </td><td align="center" style="font-size=8pt">
      	<xsl:choose>
		<xsl:when test="BusinessType[@v='A01']">
		PROD
		</xsl:when>
 		<xsl:when test="BusinessType[@v='A02']">
		INT
		</xsl:when>
 		<xsl:when test="BusinessType[@v='A03']">
		EXT
		</xsl:when>
		<xsl:when test="BusinessType[@v='A04']">
		CONS
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="BusinessType/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose> 
</td> <td align="center" style="font-size=8pt">
	<xsl:choose>
		 <xsl:when test="Product[@v='8716867000016']">
               Active Power
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000023']">
               Reactive Power
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000030']">
               Active Energy
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000047']">
               Reactive Energy
	       </xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="Product/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td> <td align="center" style="font-size=8pt">
	<xsl:choose>
		<xsl:when test="ObjectAggregation[@v='A01']">
		AREA
		</xsl:when>
		<xsl:when test="ObjectAggregation[@v='A02']">
		MP
		</xsl:when>
		<xsl:when test="ObjectAggregation[@v='A03']">
		M-MP
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="ObjectAggregation/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose>
</td> 

<td align="center" style="font-size=8pt">
      <xsl:value-of select="MeteringPointIdentification/@v"/>
</td>

 <td align="center" style="font-size=8pt">
<xsl:choose>
<xsl:when test="CapacityContractType[@v='A01']">
              Daily Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A02']">
               Weekly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A03']">
              Monthly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A04']">
               Yearly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A05']">
               Total Auction
	       </xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="CapacityContractType/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td><td align="center" style="font-size=8pt">
<xsl:choose>
		<xsl:when test="MeasurementUnit[@v='MAW']">MW </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MWH']">MWH </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MAH']">MWr </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MAR']">MWHr</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="MeasurementUnit/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td>
 <td align="center" style="font-size=8pt">
<xsl:value-of select="InArea/@v"/>      <xsl:text>  </xsl:text>
<xsl:value-of select="OutArea/@v"/>
</td>

<td align="center" style="font-size=8pt">
<xsl:value-of select="InParty/@v"/> <xsl:text>  </xsl:text>
<xsl:value-of select="OutParty/@v"/>
</td>
</table>
<table border="1" width="100%" align="center">
<tr>
<th width="25%">Period Begin and End Date/Time</th>
<th width="25%">Resolution</th>
</tr>
</table>
 <xsl:apply-templates select="AnomalyReport/TimeSeriesAnomaly/Reason" />
<xsl:apply-templates  select="*"/>

</xsl:template> 		 

<xsl:template match="Period">
<table border="1" width="100%" align="center">
<tr>
<td align="center" width="25%"><xsl:value-of select="TimeInterval/@v"/></td>
<td align="center" width="25%"><xsl:value-of select="Resolution/@v"/></td>
</tr>
<table border="1" width="100%" align="center">
<tr>
<th width="25%">Position</th>
<th width="25%">Quantity</th>
</tr>
</table>
<xsl:apply-templates  select="*"/>
</table>
</xsl:template>


<xsl:template match="Interval">
<table border="1" width="100%" align="center">
<tr>
<td align="center" width="25%"><xsl:value-of select="Pos/@v"/></td>
<td align="center" width="25%"><xsl:value-of select="Qty/@v"/></td>
</tr>
</table>
</xsl:template>

<xsl:template match="Reason">
<table  border="1" width="100%" cellpadding="5">
    <tr >
      <th bgcolor="red">Reason Code</th>
      <th>Reason Title</th>
	<th>Reason Text</th>
   </tr>
 <td align="center" style="font-size=8pt" bgcolor="red">
<xsl:value-of  select="ReasonCode/@v"/>
 </td><td align="center" style="font-size=8pt">
      	<xsl:choose>
		<xsl:when test="ReasonCode[@v='A09']">
		Time series not matching
		</xsl:when>
 		<xsl:when test="ReasonCode[@v='A27']">
		Cross border capacity exceeded
		</xsl:when>
 		<xsl:when test="ReasonCode[@v='A28']">
		Counterpart time series missing
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A29']">
		Counterpart time series quantity differences
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b>Unknown reason code  <xsl:value-of select="ReasonCode/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose> 
</td> 

<td align="center" style="font-size=8pt">
      <xsl:value-of select="ReasonText/@v"/>
</td>
</table>
</xsl:template> 		 

</xsl:stylesheet>
